solarOSsolarOS Docs

Update one Opportunity

Updates standard Opportunity fields and customFields. ownerId is create-only and is rejected on PATCH because Organization API v1 does not expose the staff reassignment action. Quote lifecycle changes can also synchronize the linked Opportunity stage. No-op PATCH returns changed=false and does not emit audit/domain events.

PATCH
/opportunities/{id}

Updates standard Opportunity fields and customFields. ownerId is create-only and is rejected on PATCH because Organization API v1 does not expose the staff reassignment action. Quote lifecycle changes can also synchronize the linked Opportunity stage. No-op PATCH returns changed=false and does not emit audit/domain events.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Opportunity identifier returned by the Organization API.

Request Body

application/json

JSON request payload for updateOpportunity.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/opportunities/string" \  -H "Content-Type: application/json" \  -d '{    "stage": "NEGOTIATION",    "value": "43500"  }'
{  "data": {},  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}